
LABINVENT (InventIrap) - Evolution #2760
Actions # 4970 (Nouveau): ******* FEATURE - GENERAL *******
GENERAL - Evolutions et bugfixes suite à retour du LAAS de vendredi 6/3/15
03/09/2015 10:35 am - Etienne Pallier

Status: Nouveau Start date: 03/09/2015
Priority: Normal Due date:
Assignee: Thibaud Ajas % Done: 0%
Category: GENERAL Estimated time: 0.00 hour
Target version: version 2.9.x à 2.12.x (2018) - Divers Spent time: 0.00 hour
Description

BUGFIXES :
- Login sans password (et LDAP) apparemment possible si login est le même que dans ldap
(Nom = admin)
- Numero interne : année disparait : LABO—0002
- Exports ne marchent toujours pas

PARAMETRAGE :
- Paramétrer le statut de base d’un matériel
Ajouter la possibilité de créer un matériel directement avec le statut VALIDATED (sans passer par CREATED)
- Emprunts : à rendre optionnel (méthode index() dans contrôleur Emprunts qui ne fait rien) car pas forcément utilisé
- Paramétrer le pouvoir du rôle « USER »
But : permettra de limiter le pouvoir de « modification »  à quelques personnes seulement
Limiter le pouvoir du rôle « USER » à la seule CONSULTATION
Autoriser la CREATION/MODIF/DELETE uniquement à partir du rôle ADMIN
(OPTION) Rôle USER : limiter à la consultation de SES matos
Responsable groupe devrait voir tout ce qui est de son groupe
Responsable : valide son groupe thématique only
- Paramétrer le maximum de 800€
- Paramétrer fonction email : activer ou non, et si oui, dans quels cas (ajout, motif, delete…)
- RÉRÉRENTIELS (tables, pas de saisie libre) pour :
    - Fournisseurs
    - Marque
    - (pas de champ modèle, mis dans désignation)
    - Localisation : Sites + Bureaux (Pièces, salles)
    - Organismes, 2 types : 
        - de tutelle
        - financeur
    - types de suivi

MODIFS BD :
- Ajouter le groupe thématique dans la table Users
(actuellement on n’a que le groupe metier, pas le groupe thématique)
Encore mieux : ajouter une nouvelle table « groupes_thematiques «  et mettre une relation 1-N de Users vers cette table
Groupe métier pourrait servir de groupe thématique secondaire ?
LAAS : Equipes techniques (electro, instrum, …) peuvent intervenir sur différents projets, n’appartiennent pas à un groupe thématique

CONTRAINTES SUR SAISIE :
- Prix : interdire négatif (passe à 0)
- Tous les champs INT = positif only !!! (html 5 : champ « min » dans input à mettre à 0, + champ maxlength)
- Ajouter les champs : Nom interne du pc (facultatif), marque, modèle
- DATES :
    - Date : devrait rester NULL si pas saisie (éviter la date par défaut : 1970)
    - Date de commande (= date d’acquisition actuelle)
    => doit mettre à jour le numero interne labo (et être OBLIGATOIRE), à CHAQUE nouvelle saisie (et pas seulement à la création)
    Ou alors, faire comme au LAAS : un seul numero séquentiel (sans mentionner l’année)
    - Ajouter date de réception
    - Ajouter date de mise en service

EVOLUTIONS DIVERSES :
- Archivage : ajout d’un motif de sortie : don, vol, … (cf https://projects.irap.omp.eu/issues/1955)
- Faire une vue sur le fichier de log
- Recherche :
    - Recherche sur responsable : utiliser fonction upper() (si on met des accents, on trouve pas)
    - chercher par fournisseur, marque, modèle, nom pc, description
- A faire : déclaration à la CNIL de labinvent
- Information à rechercher dans Cassiopée (BD référence personnel et bureaux, equipes, historique) via un WEB SERVICE (requête
=> réponse)
(et non plus dans la BD locale ou bien dans le ldap) :
=> sites
=> groupes (equipes)
=> responsables
Solution temporaire, en attendant le Web Service : copier les infos de Cassiopée dans les tables de laminant (et les garder
synchronisées ensuite)

Related issues:
Copied to Evolution # 3597: Evolutions et bugfixes suite à retour du LAAS de ... Fermé 03/09/2015

History
#1 - 03/09/2015 10:36 am - Etienne Pallier
- Description updated

#2 - 03/09/2015 11:17 am - Etienne Pallier
- Description updated

#3 - 05/07/2017 06:35 pm - Etienne Pallier
- Subject changed from Evolutions et bugfixes suite à retour du LAAS de vendredi 6/3/15 to GENERAL - Evolutions et bugfixes suite à retour du LAAS 
de vendredi 6/3/15
- Target version deleted (version 1.3)
- Parent task set to #4970

#4 - 05/23/2017 10:14 am - Etienne Pallier
- Target version set to version 2.7.x

#5 - 05/23/2017 01:00 pm - Etienne Pallier
- Assignee set to Thibaud Ajas

#6 - 07/24/2018 04:00 pm - Anonymous
- Category set to GENERAL

#7 - 12/23/2018 05:05 pm - Etienne Pallier
- Target version changed from version 2.7.x to version 2.9.x à 2.12.x (2018) - Divers
